document.addEventListener('DOMContentLoaded', function() {
    // Iterate over all anchor tags
    document.querySelectorAll("a").forEach(function(link) {
        // Check if it's an external link (hostname differs from current site's hostname)
        if (link.hostname && link.hostname !== window.location.hostname) {
            link.setAttribute('target', '_blank'); // Open external links in a new tab
            link.setAttribute('rel', 'noopener noreferrer'); // Add security attributes
        } else {
            // Ensure internal links open in the same tab
            link.removeAttribute('target');
        }
    });

    // Run again after a delay to ensure any other scripts are overridden
    setTimeout(function() {
        document.querySelectorAll("a").forEach(function(link) {
            if (link.hostname === window.location.hostname) {
                link.removeAttribute('target'); // Re-enforce internal links not opening in new tab
            }
        });
    }, 500);  // 500ms delay to allow other scripts to finish
});
